Creates a geofence list​
PUT
/users/{userid}/geofenceLists
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
userid*
User ID. 0 can be used for the current user
Type
Requiredinteger
Request Body​
application/json
JSON"color": "string","name": "string"
{
 Â
 Â
}
OpenAPI definition ​
References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).
View endpoint OpenAPI definition
yaml
info:
title: Lightbug API
version: '2'
externalDocs:
description: ''
url: ''
openapi: 3.1.0
servers:
- url: https://api.lightbug.cloud/v2
security:
- ApiKeyAuth: []
tags: []
paths:
/users/{userid}/geofenceLists:
put:
parameters:
- description: User ID. 0 can be used for the current user
in: path
name: userid
required: true
schema:
type: integerrequestBody:
yaml
content:
application/json:
schema:
properties:
color:
type: string
name:
type: string
required:
- color
- name
type: object
description: Geofence list to create
required: trueyaml
responses:'201':
yaml
content:
application/json:
schema:
properties:
color:
type: string
id:
type: integer
name:
type: string
ownerId:
type: integer
required:
- color
- name
type: object
description: Created'400':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Bad Request'401':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Unauthorized'500':
yaml
content:
application/json:
schema:
properties:
code:
example: 400
type: integer
message:
example: status bad request
type: string
type: object
description: Internal Server Erroryaml
security:
- ApiKeyAuth: []
summary: Creates a geofence list
tags:
- geofencelists
operationId: put-users-userid-geofenceLists
components:
securitySchemes:
ApiKeyAuth:
in: header
name: Authorization
type: apiKey
description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...